// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.5
// 	protoc        v4.25.6
// source: pipeline_template.proto

package gen

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	emptypb "google.golang.org/protobuf/types/known/emptypb"
	reflect "reflect"
	sync "sync"
	unsafe "unsafe"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// PipelineTemplateSortableField defines enums that allow sorting a paginated
// list of PipelineTemplates.
type PipelineTemplateSortableField int32

const (
	PipelineTemplateSortableField_UPDATED_AT_ASC  PipelineTemplateSortableField = 0
	PipelineTemplateSortableField_UPDATED_AT_DESC PipelineTemplateSortableField = 1
)

// Enum value maps for PipelineTemplateSortableField.
var (
	PipelineTemplateSortableField_name = map[int32]string{
		0: "UPDATED_AT_ASC",
		1: "UPDATED_AT_DESC",
	}
	PipelineTemplateSortableField_value = map[string]int32{
		"UPDATED_AT_ASC":  0,
		"UPDATED_AT_DESC": 1,
	}
)

func (x PipelineTemplateSortableField) Enum() *PipelineTemplateSortableField {
	p := new(PipelineTemplateSortableField)
	*p = x
	return p
}

func (x PipelineTemplateSortableField) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (PipelineTemplateSortableField) Descriptor() protoreflect.EnumDescriptor {
	return file_pipeline_template_proto_enumTypes[0].Descriptor()
}

func (PipelineTemplateSortableField) Type() protoreflect.EnumType {
	return &file_pipeline_template_proto_enumTypes[0]
}

func (x PipelineTemplateSortableField) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use PipelineTemplateSortableField.Descriptor instead.
func (PipelineTemplateSortableField) EnumDescriptor() ([]byte, []int) {
	return file_pipeline_template_proto_rawDescGZIP(), []int{0}
}

// GetPipelineTemplateByIdRequest is the input for retrieving a PipelineTemplate
// by it's ID.
type GetPipelineTemplateByIdRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            string                 `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetPipelineTemplateByIdRequest) Reset() {
	*x = GetPipelineTemplateByIdRequest{}
	mi := &file_pipeline_template_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetPipelineTemplateByIdRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetPipelineTemplateByIdRequest) ProtoMessage() {}

func (x *GetPipelineTemplateByIdRequest) ProtoReflect() protoreflect.Message {
	mi := &file_pipeline_template_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetPipelineTemplateByIdRequest.ProtoReflect.Descriptor instead.
func (*GetPipelineTemplateByIdRequest) Descriptor() ([]byte, []int) {
	return file_pipeline_template_proto_rawDescGZIP(), []int{0}
}

func (x *GetPipelineTemplateByIdRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

// GetPipelineTemplatesRequest is the input for retrieving a paginated list of
// PipelineTemplates.
type GetPipelineTemplatesRequest struct {
	state             protoimpl.MessageState         `protogen:"open.v1"`
	ProjectId         string                         `protobuf:"bytes,1,opt,name=project_id,json=projectId,proto3" json:"project_id,omitempty"`
	PaginationOptions *PaginationOptions             `protobuf:"bytes,2,opt,name=pagination_options,json=paginationOptions,proto3,oneof" json:"pagination_options,omitempty"`
	Sort              *PipelineTemplateSortableField `protobuf:"varint,3,opt,name=sort,proto3,enum=martiancloud.phobos.api.pipelinetemplate.PipelineTemplateSortableField,oneof" json:"sort,omitempty"`
	Versioned         *bool                          `protobuf:"varint,4,opt,name=versioned,proto3,oneof" json:"versioned,omitempty"`
	Latest            *bool                          `protobuf:"varint,5,opt,name=latest,proto3,oneof" json:"latest,omitempty"`
	Name              *string                        `protobuf:"bytes,6,opt,name=name,proto3,oneof" json:"name,omitempty"`
	Search            *string                        `protobuf:"bytes,7,opt,name=search,proto3,oneof" json:"search,omitempty"`
	unknownFields     protoimpl.UnknownFields
	sizeCache         protoimpl.SizeCache
}

func (x *GetPipelineTemplatesRequest) Reset() {
	*x = GetPipelineTemplatesRequest{}
	mi := &file_pipeline_template_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetPipelineTemplatesRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetPipelineTemplatesRequest) ProtoMessage() {}

func (x *GetPipelineTemplatesRequest) ProtoReflect() protoreflect.Message {
	mi := &file_pipeline_template_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetPipelineTemplatesRequest.ProtoReflect.Descriptor instead.
func (*GetPipelineTemplatesRequest) Descriptor() ([]byte, []int) {
	return file_pipeline_template_proto_rawDescGZIP(), []int{1}
}

func (x *GetPipelineTemplatesRequest) GetProjectId() string {
	if x != nil {
		return x.ProjectId
	}
	return ""
}

func (x *GetPipelineTemplatesRequest) GetPaginationOptions() *PaginationOptions {
	if x != nil {
		return x.PaginationOptions
	}
	return nil
}

func (x *GetPipelineTemplatesRequest) GetSort() PipelineTemplateSortableField {
	if x != nil && x.Sort != nil {
		return *x.Sort
	}
	return PipelineTemplateSortableField_UPDATED_AT_ASC
}

func (x *GetPipelineTemplatesRequest) GetVersioned() bool {
	if x != nil && x.Versioned != nil {
		return *x.Versioned
	}
	return false
}

func (x *GetPipelineTemplatesRequest) GetLatest() bool {
	if x != nil && x.Latest != nil {
		return *x.Latest
	}
	return false
}

func (x *GetPipelineTemplatesRequest) GetName() string {
	if x != nil && x.Name != nil {
		return *x.Name
	}
	return ""
}

func (x *GetPipelineTemplatesRequest) GetSearch() string {
	if x != nil && x.Search != nil {
		return *x.Search
	}
	return ""
}

// CreatePipelineTemplateRequest is the input for creating a new
// PipelineTemplate.
type CreatePipelineTemplateRequest struct {
	state           protoimpl.MessageState `protogen:"open.v1"`
	ProjId          string                 `protobuf:"bytes,1,opt,name=proj_id,json=projId,proto3" json:"proj_id,omitempty"`
	Versioned       bool                   `protobuf:"varint,2,opt,name=versioned,proto3" json:"versioned,omitempty"`
	Name            *string                `protobuf:"bytes,3,opt,name=name,proto3,oneof" json:"name,omitempty"`
	SemanticVersion *string                `protobuf:"bytes,4,opt,name=semantic_version,json=semanticVersion,proto3,oneof" json:"semantic_version,omitempty"`
	unknownFields   protoimpl.UnknownFields
	sizeCache       protoimpl.SizeCache
}

func (x *CreatePipelineTemplateRequest) Reset() {
	*x = CreatePipelineTemplateRequest{}
	mi := &file_pipeline_template_proto_msgTypes[2]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *CreatePipelineTemplateRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreatePipelineTemplateRequest) ProtoMessage() {}

func (x *CreatePipelineTemplateRequest) ProtoReflect() protoreflect.Message {
	mi := &file_pipeline_template_proto_msgTypes[2]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreatePipelineTemplateRequest.ProtoReflect.Descriptor instead.
func (*CreatePipelineTemplateRequest) Descriptor() ([]byte, []int) {
	return file_pipeline_template_proto_rawDescGZIP(), []int{2}
}

func (x *CreatePipelineTemplateRequest) GetProjId() string {
	if x != nil {
		return x.ProjId
	}
	return ""
}

func (x *CreatePipelineTemplateRequest) GetVersioned() bool {
	if x != nil {
		return x.Versioned
	}
	return false
}

func (x *CreatePipelineTemplateRequest) GetName() string {
	if x != nil && x.Name != nil {
		return *x.Name
	}
	return ""
}

func (x *CreatePipelineTemplateRequest) GetSemanticVersion() string {
	if x != nil && x.SemanticVersion != nil {
		return *x.SemanticVersion
	}
	return ""
}

type GetPipelineTemplateDataRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            string                 `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetPipelineTemplateDataRequest) Reset() {
	*x = GetPipelineTemplateDataRequest{}
	mi := &file_pipeline_template_proto_msgTypes[3]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetPipelineTemplateDataRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetPipelineTemplateDataRequest) ProtoMessage() {}

func (x *GetPipelineTemplateDataRequest) ProtoReflect() protoreflect.Message {
	mi := &file_pipeline_template_proto_msgTypes[3]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetPipelineTemplateDataRequest.ProtoReflect.Descriptor instead.
func (*GetPipelineTemplateDataRequest) Descriptor() ([]byte, []int) {
	return file_pipeline_template_proto_rawDescGZIP(), []int{3}
}

func (x *GetPipelineTemplateDataRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

type GetPipelineTemplateDataResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	ChunkData     []byte                 `protobuf:"bytes,1,opt,name=chunk_data,json=chunkData,proto3" json:"chunk_data,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetPipelineTemplateDataResponse) Reset() {
	*x = GetPipelineTemplateDataResponse{}
	mi := &file_pipeline_template_proto_msgTypes[4]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetPipelineTemplateDataResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetPipelineTemplateDataResponse) ProtoMessage() {}

func (x *GetPipelineTemplateDataResponse) ProtoReflect() protoreflect.Message {
	mi := &file_pipeline_template_proto_msgTypes[4]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetPipelineTemplateDataResponse.ProtoReflect.Descriptor instead.
func (*GetPipelineTemplateDataResponse) Descriptor() ([]byte, []int) {
	return file_pipeline_template_proto_rawDescGZIP(), []int{4}
}

func (x *GetPipelineTemplateDataResponse) GetChunkData() []byte {
	if x != nil {
		return x.ChunkData
	}
	return nil
}

// UploadPipelineTemplateRequest is the input for uploading to a
// PipelineTemplate.
type UploadPipelineTemplateRequest struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// Types that are valid to be assigned to Data:
	//
	//	*UploadPipelineTemplateRequest_Info
	//	*UploadPipelineTemplateRequest_ChunkData
	Data          isUploadPipelineTemplateRequest_Data `protobuf_oneof:"data"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *UploadPipelineTemplateRequest) Reset() {
	*x = UploadPipelineTemplateRequest{}
	mi := &file_pipeline_template_proto_msgTypes[5]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *UploadPipelineTemplateRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UploadPipelineTemplateRequest) ProtoMessage() {}

func (x *UploadPipelineTemplateRequest) ProtoReflect() protoreflect.Message {
	mi := &file_pipeline_template_proto_msgTypes[5]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UploadPipelineTemplateRequest.ProtoReflect.Descriptor instead.
func (*UploadPipelineTemplateRequest) Descriptor() ([]byte, []int) {
	return file_pipeline_template_proto_rawDescGZIP(), []int{5}
}

func (x *UploadPipelineTemplateRequest) GetData() isUploadPipelineTemplateRequest_Data {
	if x != nil {
		return x.Data
	}
	return nil
}

func (x *UploadPipelineTemplateRequest) GetInfo() *UploadPipelineTemplateMetadata {
	if x != nil {
		if x, ok := x.Data.(*UploadPipelineTemplateRequest_Info); ok {
			return x.Info
		}
	}
	return nil
}

func (x *UploadPipelineTemplateRequest) GetChunkData() []byte {
	if x != nil {
		if x, ok := x.Data.(*UploadPipelineTemplateRequest_ChunkData); ok {
			return x.ChunkData
		}
	}
	return nil
}

type isUploadPipelineTemplateRequest_Data interface {
	isUploadPipelineTemplateRequest_Data()
}

type UploadPipelineTemplateRequest_Info struct {
	Info *UploadPipelineTemplateMetadata `protobuf:"bytes,1,opt,name=info,proto3,oneof"`
}

type UploadPipelineTemplateRequest_ChunkData struct {
	ChunkData []byte `protobuf:"bytes,2,opt,name=chunk_data,json=chunkData,proto3,oneof"`
}

func (*UploadPipelineTemplateRequest_Info) isUploadPipelineTemplateRequest_Data() {}

func (*UploadPipelineTemplateRequest_ChunkData) isUploadPipelineTemplateRequest_Data() {}

// UploadPipelineTemplateMetadata
type UploadPipelineTemplateMetadata struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            string                 `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *UploadPipelineTemplateMetadata) Reset() {
	*x = UploadPipelineTemplateMetadata{}
	mi := &file_pipeline_template_proto_msgTypes[6]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *UploadPipelineTemplateMetadata) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UploadPipelineTemplateMetadata) ProtoMessage() {}

func (x *UploadPipelineTemplateMetadata) ProtoReflect() protoreflect.Message {
	mi := &file_pipeline_template_proto_msgTypes[6]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UploadPipelineTemplateMetadata.ProtoReflect.Descriptor instead.
func (*UploadPipelineTemplateMetadata) Descriptor() ([]byte, []int) {
	return file_pipeline_template_proto_rawDescGZIP(), []int{6}
}

func (x *UploadPipelineTemplateMetadata) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

// DeletePipelineRequest is the input for deleting a PipelineTemplate.
type DeletePipelineTemplateRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            string                 `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Version       *string                `protobuf:"bytes,2,opt,name=version,proto3,oneof" json:"version,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *DeletePipelineTemplateRequest) Reset() {
	*x = DeletePipelineTemplateRequest{}
	mi := &file_pipeline_template_proto_msgTypes[7]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DeletePipelineTemplateRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeletePipelineTemplateRequest) ProtoMessage() {}

func (x *DeletePipelineTemplateRequest) ProtoReflect() protoreflect.Message {
	mi := &file_pipeline_template_proto_msgTypes[7]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeletePipelineTemplateRequest.ProtoReflect.Descriptor instead.
func (*DeletePipelineTemplateRequest) Descriptor() ([]byte, []int) {
	return file_pipeline_template_proto_rawDescGZIP(), []int{7}
}

func (x *DeletePipelineTemplateRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *DeletePipelineTemplateRequest) GetVersion() string {
	if x != nil && x.Version != nil {
		return *x.Version
	}
	return ""
}

// PipelineTemplate defines a container that houses resources within Phobos.
type PipelineTemplate struct {
	state           protoimpl.MessageState `protogen:"open.v1"`
	Metadata        *ResourceMetadata      `protobuf:"bytes,1,opt,name=metadata,proto3" json:"metadata,omitempty"`
	CreatedBy       string                 `protobuf:"bytes,2,opt,name=created_by,json=createdBy,proto3" json:"created_by,omitempty"`
	ProjId          string                 `protobuf:"bytes,3,opt,name=proj_id,json=projId,proto3" json:"proj_id,omitempty"`
	Status          string                 `protobuf:"bytes,4,opt,name=status,proto3" json:"status,omitempty"`
	Versioned       bool                   `protobuf:"varint,5,opt,name=versioned,proto3" json:"versioned,omitempty"`
	Name            *string                `protobuf:"bytes,6,opt,name=name,proto3,oneof" json:"name,omitempty"`
	SemanticVersion *string                `protobuf:"bytes,7,opt,name=semantic_version,json=semanticVersion,proto3,oneof" json:"semantic_version,omitempty"`
	Latest          bool                   `protobuf:"varint,8,opt,name=latest,proto3" json:"latest,omitempty"`
	unknownFields   protoimpl.UnknownFields
	sizeCache       protoimpl.SizeCache
}

func (x *PipelineTemplate) Reset() {
	*x = PipelineTemplate{}
	mi := &file_pipeline_template_proto_msgTypes[8]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *PipelineTemplate) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PipelineTemplate) ProtoMessage() {}

func (x *PipelineTemplate) ProtoReflect() protoreflect.Message {
	mi := &file_pipeline_template_proto_msgTypes[8]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PipelineTemplate.ProtoReflect.Descriptor instead.
func (*PipelineTemplate) Descriptor() ([]byte, []int) {
	return file_pipeline_template_proto_rawDescGZIP(), []int{8}
}

func (x *PipelineTemplate) GetMetadata() *ResourceMetadata {
	if x != nil {
		return x.Metadata
	}
	return nil
}

func (x *PipelineTemplate) GetCreatedBy() string {
	if x != nil {
		return x.CreatedBy
	}
	return ""
}

func (x *PipelineTemplate) GetProjId() string {
	if x != nil {
		return x.ProjId
	}
	return ""
}

func (x *PipelineTemplate) GetStatus() string {
	if x != nil {
		return x.Status
	}
	return ""
}

func (x *PipelineTemplate) GetVersioned() bool {
	if x != nil {
		return x.Versioned
	}
	return false
}

func (x *PipelineTemplate) GetName() string {
	if x != nil && x.Name != nil {
		return *x.Name
	}
	return ""
}

func (x *PipelineTemplate) GetSemanticVersion() string {
	if x != nil && x.SemanticVersion != nil {
		return *x.SemanticVersion
	}
	return ""
}

func (x *PipelineTemplate) GetLatest() bool {
	if x != nil {
		return x.Latest
	}
	return false
}

// GetPipelineTemplatesResponse is the paginated list of PipelineTemplates
type GetPipelineTemplatesResponse struct {
	state             protoimpl.MessageState `protogen:"open.v1"`
	PageInfo          *PageInfo              `protobuf:"bytes,1,opt,name=page_info,json=pageInfo,proto3" json:"page_info,omitempty"`
	PipelineTemplates []*PipelineTemplate    `protobuf:"bytes,2,rep,name=pipeline_templates,json=pipelineTemplates,proto3" json:"pipeline_templates,omitempty"`
	unknownFields     protoimpl.UnknownFields
	sizeCache         protoimpl.SizeCache
}

func (x *GetPipelineTemplatesResponse) Reset() {
	*x = GetPipelineTemplatesResponse{}
	mi := &file_pipeline_template_proto_msgTypes[9]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetPipelineTemplatesResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetPipelineTemplatesResponse) ProtoMessage() {}

func (x *GetPipelineTemplatesResponse) ProtoReflect() protoreflect.Message {
	mi := &file_pipeline_template_proto_msgTypes[9]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetPipelineTemplatesResponse.ProtoReflect.Descriptor instead.
func (*GetPipelineTemplatesResponse) Descriptor() ([]byte, []int) {
	return file_pipeline_template_proto_rawDescGZIP(), []int{9}
}

func (x *GetPipelineTemplatesResponse) GetPageInfo() *PageInfo {
	if x != nil {
		return x.PageInfo
	}
	return nil
}

func (x *GetPipelineTemplatesResponse) GetPipelineTemplates() []*PipelineTemplate {
	if x != nil {
		return x.PipelineTemplates
	}
	return nil
}

var File_pipeline_template_proto protoreflect.FileDescriptor

var file_pipeline_template_proto_rawDesc = string([]byte{
	0x0a, 0x17, 0x70, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x5f, 0x74, 0x65, 0x6d, 0x70, 0x6c,
	0x61, 0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x28, 0x6d, 0x61, 0x72, 0x74, 0x69,
	0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x70, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x74, 0x65, 0x6d, 0x70, 0x6c,
	0x61, 0x74, 0x65, 0x1a, 0x0e, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x1a, 0x10, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1b, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x22, 0x30, 0x0a, 0x1e, 0x47, 0x65, 0x74, 0x50, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e,
	0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x42, 0x79, 0x49, 0x64, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x02, 0x69, 0x64, 0x22, 0xcc, 0x03, 0x0a, 0x1b, 0x47, 0x65, 0x74, 0x50, 0x69, 0x70, 0x65,
	0x6c, 0x69, 0x6e, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x73, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x12, 0x1d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x5f,
	0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63,
	0x74, 0x49, 0x64, 0x12, 0x69, 0x0a, 0x12, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x5f, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x35, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70,
	0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4f,
	0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x48, 0x00, 0x52, 0x11, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x88, 0x01, 0x01, 0x12, 0x60,
	0x0a, 0x04, 0x73, 0x6f, 0x72, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x47, 0x2e, 0x6d,
	0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62,
	0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x70, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x74,
	0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x2e, 0x50, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65,
	0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x53, 0x6f, 0x72, 0x74, 0x61, 0x62, 0x6c, 0x65,
	0x46, 0x69, 0x65, 0x6c, 0x64, 0x48, 0x01, 0x52, 0x04, 0x73, 0x6f, 0x72, 0x74, 0x88, 0x01, 0x01,
	0x12, 0x21, 0x0a, 0x09, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x65, 0x64, 0x18, 0x04, 0x20,
	0x01, 0x28, 0x08, 0x48, 0x02, 0x52, 0x09, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x65, 0x64,
	0x88, 0x01, 0x01, 0x12, 0x1b, 0x0a, 0x06, 0x6c, 0x61, 0x74, 0x65, 0x73, 0x74, 0x18, 0x05, 0x20,
	0x01, 0x28, 0x08, 0x48, 0x03, 0x52, 0x06, 0x6c, 0x61, 0x74, 0x65, 0x73, 0x74, 0x88, 0x01, 0x01,
	0x12, 0x17, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x48, 0x04,
	0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x88, 0x01, 0x01, 0x12, 0x1b, 0x0a, 0x06, 0x73, 0x65, 0x61,
	0x72, 0x63, 0x68, 0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x48, 0x05, 0x52, 0x06, 0x73, 0x65, 0x61,
	0x72, 0x63, 0x68, 0x88, 0x01, 0x01, 0x42, 0x15, 0x0a, 0x13, 0x5f, 0x70, 0x61, 0x67, 0x69, 0x6e,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x42, 0x07, 0x0a,
	0x05, 0x5f, 0x73, 0x6f, 0x72, 0x74, 0x42, 0x0c, 0x0a, 0x0a, 0x5f, 0x76, 0x65, 0x72, 0x73, 0x69,
	0x6f, 0x6e, 0x65, 0x64, 0x42, 0x09, 0x0a, 0x07, 0x5f, 0x6c, 0x61, 0x74, 0x65, 0x73, 0x74, 0x42,
	0x07, 0x0a, 0x05, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x42, 0x09, 0x0a, 0x07, 0x5f, 0x73, 0x65, 0x61,
	0x72, 0x63, 0x68, 0x22, 0xbd, 0x01, 0x0a, 0x1d, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x50, 0x69,
	0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x17, 0x0a, 0x07, 0x70, 0x72, 0x6f, 0x6a, 0x5f, 0x69, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x70, 0x72, 0x6f, 0x6a, 0x49, 0x64, 0x12, 0x1c,
	0x0a, 0x09, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x65, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x08, 0x52, 0x09, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x65, 0x64, 0x12, 0x17, 0x0a, 0x04,
	0x6e, 0x61, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x04, 0x6e, 0x61,
	0x6d, 0x65, 0x88, 0x01, 0x01, 0x12, 0x2e, 0x0a, 0x10, 0x73, 0x65, 0x6d, 0x61, 0x6e, 0x74, 0x69,
	0x63, 0x5f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x48,
	0x01, 0x52, 0x0f, 0x73, 0x65, 0x6d, 0x61, 0x6e, 0x74, 0x69, 0x63, 0x56, 0x65, 0x72, 0x73, 0x69,
	0x6f, 0x6e, 0x88, 0x01, 0x01, 0x42, 0x07, 0x0a, 0x05, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x42, 0x13,
	0x0a, 0x11, 0x5f, 0x73, 0x65, 0x6d, 0x61, 0x6e, 0x74, 0x69, 0x63, 0x5f, 0x76, 0x65, 0x72, 0x73,
	0x69, 0x6f, 0x6e, 0x22, 0x30, 0x0a, 0x1e, 0x47, 0x65, 0x74, 0x50, 0x69, 0x70, 0x65, 0x6c, 0x69,
	0x6e, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x44, 0x61, 0x74, 0x61, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x02, 0x69, 0x64, 0x22, 0x40, 0x0a, 0x1f, 0x47, 0x65, 0x74, 0x50, 0x69, 0x70, 0x65,
	0x6c, 0x69, 0x6e, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x44, 0x61, 0x74, 0x61,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x1d, 0x0a, 0x0a, 0x63, 0x68, 0x75, 0x6e,
	0x6b, 0x5f, 0x64, 0x61, 0x74, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x09, 0x63, 0x68,
	0x75, 0x6e, 0x6b, 0x44, 0x61, 0x74, 0x61, 0x22, 0xa8, 0x01, 0x0a, 0x1d, 0x55, 0x70, 0x6c, 0x6f,
	0x61, 0x64, 0x50, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61,
	0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x5e, 0x0a, 0x04, 0x69, 0x6e, 0x66,
	0x6f, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x48, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61,
	0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x70, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61,
	0x74, 0x65, 0x2e, 0x55, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x50, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e,
	0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74,
	0x61, 0x48, 0x00, 0x52, 0x04, 0x69, 0x6e, 0x66, 0x6f, 0x12, 0x1f, 0x0a, 0x0a, 0x63, 0x68, 0x75,
	0x6e, 0x6b, 0x5f, 0x64, 0x61, 0x74, 0x61, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0c, 0x48, 0x00, 0x52,
	0x09, 0x63, 0x68, 0x75, 0x6e, 0x6b, 0x44, 0x61, 0x74, 0x61, 0x42, 0x06, 0x0a, 0x04, 0x64, 0x61,
	0x74, 0x61, 0x22, 0x30, 0x0a, 0x1e, 0x55, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x50, 0x69, 0x70, 0x65,
	0x6c, 0x69, 0x6e, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x4d, 0x65, 0x74, 0x61,
	0x64, 0x61, 0x74, 0x61, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x02, 0x69, 0x64, 0x22, 0x5a, 0x0a, 0x1d, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x50, 0x69,
	0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1d, 0x0a, 0x07, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x07, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f,
	0x6e, 0x88, 0x01, 0x01, 0x42, 0x0a, 0x0a, 0x08, 0x5f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e,
	0x22, 0xcf, 0x02, 0x0a, 0x10, 0x50, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x54, 0x65, 0x6d,
	0x70, 0x6c, 0x61, 0x74, 0x65, 0x12, 0x4e, 0x0a, 0x08, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74,
	0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x32, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61,
	0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75,
	0x72, 0x63, 0x65, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x52, 0x08, 0x6d, 0x65, 0x74,
	0x61, 0x64, 0x61, 0x74, 0x61, 0x12, 0x1d, 0x0a, 0x0a, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64,
	0x5f, 0x62, 0x79, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74,
	0x65, 0x64, 0x42, 0x79, 0x12, 0x17, 0x0a, 0x07, 0x70, 0x72, 0x6f, 0x6a, 0x5f, 0x69, 0x64, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x70, 0x72, 0x6f, 0x6a, 0x49, 0x64, 0x12, 0x16, 0x0a,
	0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x73,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x1c, 0x0a, 0x09, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e,
	0x65, 0x64, 0x18, 0x05, 0x20, 0x01, 0x28, 0x08, 0x52, 0x09, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f,
	0x6e, 0x65, 0x64, 0x12, 0x17, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28,
	0x09, 0x48, 0x00, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x88, 0x01, 0x01, 0x12, 0x2e, 0x0a, 0x10,
	0x73, 0x65, 0x6d, 0x61, 0x6e, 0x74, 0x69, 0x63, 0x5f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e,
	0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x48, 0x01, 0x52, 0x0f, 0x73, 0x65, 0x6d, 0x61, 0x6e, 0x74,
	0x69, 0x63, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x88, 0x01, 0x01, 0x12, 0x16, 0x0a, 0x06,
	0x6c, 0x61, 0x74, 0x65, 0x73, 0x74, 0x18, 0x08, 0x20, 0x01, 0x28, 0x08, 0x52, 0x06, 0x6c, 0x61,
	0x74, 0x65, 0x73, 0x74, 0x42, 0x07, 0x0a, 0x05, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x42, 0x13, 0x0a,
	0x11, 0x5f, 0x73, 0x65, 0x6d, 0x61, 0x6e, 0x74, 0x69, 0x63, 0x5f, 0x76, 0x65, 0x72, 0x73, 0x69,
	0x6f, 0x6e, 0x22, 0xd4, 0x01, 0x0a, 0x1c, 0x47, 0x65, 0x74, 0x50, 0x69, 0x70, 0x65, 0x6c, 0x69,
	0x6e, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x49, 0x0a, 0x09, 0x70, 0x61, 0x67, 0x65, 0x5f, 0x69, 0x6e, 0x66, 0x6f,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2c, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e,
	0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69,
	0x2e, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x50, 0x61, 0x67, 0x65,
	0x49, 0x6e, 0x66, 0x6f, 0x52, 0x08, 0x70, 0x61, 0x67, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x69,
	0x0a, 0x12, 0x70, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x5f, 0x74, 0x65, 0x6d, 0x70, 0x6c,
	0x61, 0x74, 0x65, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x3a, 0x2e, 0x6d, 0x61, 0x72,
	0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x70, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x74, 0x65, 0x6d,
	0x70, 0x6c, 0x61, 0x74, 0x65, 0x2e, 0x50, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x54, 0x65,
	0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x52, 0x11, 0x70, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65,
	0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x73, 0x2a, 0x48, 0x0a, 0x1d, 0x50, 0x69, 0x70,
	0x65, 0x6c, 0x69, 0x6e, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x53, 0x6f, 0x72,
	0x74, 0x61, 0x62, 0x6c, 0x65, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x12, 0x12, 0x0a, 0x0e, 0x55, 0x50,
	0x44, 0x41, 0x54, 0x45, 0x44, 0x5f, 0x41, 0x54, 0x5f, 0x41, 0x53, 0x43, 0x10, 0x00, 0x12, 0x13,
	0x0a, 0x0f, 0x55, 0x50, 0x44, 0x41, 0x54, 0x45, 0x44, 0x5f, 0x41, 0x54, 0x5f, 0x44, 0x45, 0x53,
	0x43, 0x10, 0x01, 0x32, 0xb4, 0x07, 0x0a, 0x11, 0x50, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65,
	0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x73, 0x12, 0xa1, 0x01, 0x0a, 0x17, 0x47, 0x65,
	0x74, 0x50, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74,
	0x65, 0x42, 0x79, 0x49, 0x44, 0x12, 0x48, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63,
	0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e,
	0x70, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65,
	0x2e, 0x47, 0x65, 0x74, 0x50, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x54, 0x65, 0x6d, 0x70,
	0x6c, 0x61, 0x74, 0x65, 0x42, 0x79, 0x49, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a,
	0x3a, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70,
	0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x70, 0x69, 0x70, 0x65, 0x6c, 0x69,
	0x6e, 0x65, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x2e, 0x50, 0x69, 0x70, 0x65, 0x6c,
	0x69, 0x6e, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x22, 0x00, 0x12, 0xa7, 0x01,
	0x0a, 0x14, 0x47, 0x65, 0x74, 0x50, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x54, 0x65, 0x6d,
	0x70, 0x6c, 0x61, 0x74, 0x65, 0x73, 0x12, 0x45, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e,
	0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69,
	0x2e, 0x70, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74,
	0x65, 0x2e, 0x47, 0x65, 0x74, 0x50, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x54, 0x65, 0x6d,
	0x70, 0x6c, 0x61, 0x74, 0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x46, 0x2e,
	0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f,
	0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x70, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65,
	0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x2e, 0x47, 0x65, 0x74, 0x50, 0x69, 0x70, 0x65,
	0x6c, 0x69, 0x6e, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x73, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x9f, 0x01, 0x0a, 0x16, 0x43, 0x72, 0x65, 0x61,
	0x74, 0x65, 0x50, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61,
	0x74, 0x65, 0x12, 0x47, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75,
	0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x70, 0x69, 0x70,
	0x65, 0x6c, 0x69, 0x6e, 0x65, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x2e, 0x43, 0x72,
	0x65, 0x61, 0x74, 0x65, 0x50, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x54, 0x65, 0x6d, 0x70,
	0x6c, 0x61, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x3a, 0x2e, 0x6d, 0x61,
	0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f,
	0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x70, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x74, 0x65,
	0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x2e, 0x50, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x54,
	0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x22, 0x00, 0x12, 0x7d, 0x0a, 0x16, 0x55, 0x70, 0x6c,
	0x6f, 0x61, 0x64, 0x50, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c,
	0x61, 0x74, 0x65, 0x12, 0x47, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f,
	0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x70, 0x69,
	0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x2e, 0x55,
	0x70, 0x6c, 0x6f, 0x61, 0x64, 0x50, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x54, 0x65, 0x6d,
	0x70, 0x6c, 0x61, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x16, 0x2e, 0x67,
	0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45,
	0x6d, 0x70, 0x74, 0x79, 0x22, 0x00, 0x28, 0x01, 0x12, 0x7b, 0x0a, 0x16, 0x44, 0x65, 0x6c, 0x65,
	0x74, 0x65, 0x50, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61,
	0x74, 0x65, 0x12, 0x47, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75,
	0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x70, 0x69, 0x70,
	0x65, 0x6c, 0x69, 0x6e, 0x65, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x2e, 0x44, 0x65,
	0x6c, 0x65, 0x74, 0x65, 0x50, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x54, 0x65, 0x6d, 0x70,
	0x6c, 0x61, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x16, 0x2e, 0x67, 0x6f,
	0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d,
	0x70, 0x74, 0x79, 0x22, 0x00, 0x12, 0xb2, 0x01, 0x0a, 0x17, 0x47, 0x65, 0x74, 0x50, 0x69, 0x70,
	0x65, 0x6c, 0x69, 0x6e, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x44, 0x61, 0x74,
	0x61, 0x12, 0x48, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64,
	0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x70, 0x69, 0x70, 0x65,
	0x6c, 0x69, 0x6e, 0x65, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x2e, 0x47, 0x65, 0x74,
	0x50, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65,
	0x44, 0x61, 0x74, 0x61, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x49, 0x2e, 0x6d, 0x61,
	0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f,
	0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x70, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x74, 0x65,
	0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x2e, 0x47, 0x65, 0x74, 0x50, 0x69, 0x70, 0x65, 0x6c, 0x69,
	0x6e, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x44, 0x61, 0x74, 0x61, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x30, 0x01, 0x42, 0x47, 0x5a, 0x45, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x69, 0x6e, 0x66, 0x6f, 0x72, 0x2d, 0x63,
	0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x2d, 0x63, 0x6c, 0x6f,
	0x75, 0x64, 0x2f, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2f, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73,
	0x2d, 0x61, 0x70, 0x69, 0x2f, 0x70, 0x6b, 0x67, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2f,
	0x67, 0x65, 0x6e, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
})

var (
	file_pipeline_template_proto_rawDescOnce sync.Once
	file_pipeline_template_proto_rawDescData []byte
)

func file_pipeline_template_proto_rawDescGZIP() []byte {
	file_pipeline_template_proto_rawDescOnce.Do(func() {
		file_pipeline_template_proto_rawDescData = protoimpl.X.CompressGZIP(unsafe.Slice(unsafe.StringData(file_pipeline_template_proto_rawDesc), len(file_pipeline_template_proto_rawDesc)))
	})
	return file_pipeline_template_proto_rawDescData
}

var file_pipeline_template_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_pipeline_template_proto_msgTypes = make([]protoimpl.MessageInfo, 10)
var file_pipeline_template_proto_goTypes = []any{
	(PipelineTemplateSortableField)(0),      // 0: martiancloud.phobos.api.pipelinetemplate.PipelineTemplateSortableField
	(*GetPipelineTemplateByIdRequest)(nil),  // 1: martiancloud.phobos.api.pipelinetemplate.GetPipelineTemplateByIdRequest
	(*GetPipelineTemplatesRequest)(nil),     // 2: martiancloud.phobos.api.pipelinetemplate.GetPipelineTemplatesRequest
	(*CreatePipelineTemplateRequest)(nil),   // 3: martiancloud.phobos.api.pipelinetemplate.CreatePipelineTemplateRequest
	(*GetPipelineTemplateDataRequest)(nil),  // 4: martiancloud.phobos.api.pipelinetemplate.GetPipelineTemplateDataRequest
	(*GetPipelineTemplateDataResponse)(nil), // 5: martiancloud.phobos.api.pipelinetemplate.GetPipelineTemplateDataResponse
	(*UploadPipelineTemplateRequest)(nil),   // 6: martiancloud.phobos.api.pipelinetemplate.UploadPipelineTemplateRequest
	(*UploadPipelineTemplateMetadata)(nil),  // 7: martiancloud.phobos.api.pipelinetemplate.UploadPipelineTemplateMetadata
	(*DeletePipelineTemplateRequest)(nil),   // 8: martiancloud.phobos.api.pipelinetemplate.DeletePipelineTemplateRequest
	(*PipelineTemplate)(nil),                // 9: martiancloud.phobos.api.pipelinetemplate.PipelineTemplate
	(*GetPipelineTemplatesResponse)(nil),    // 10: martiancloud.phobos.api.pipelinetemplate.GetPipelineTemplatesResponse
	(*PaginationOptions)(nil),               // 11: martiancloud.phobos.api.pagination.PaginationOptions
	(*ResourceMetadata)(nil),                // 12: martiancloud.phobos.api.metadata.ResourceMetadata
	(*PageInfo)(nil),                        // 13: martiancloud.phobos.api.pagination.PageInfo
	(*emptypb.Empty)(nil),                   // 14: google.protobuf.Empty
}
var file_pipeline_template_proto_depIdxs = []int32{
	11, // 0: martiancloud.phobos.api.pipelinetemplate.GetPipelineTemplatesRequest.pagination_options:type_name -> martiancloud.phobos.api.pagination.PaginationOptions
	0,  // 1: martiancloud.phobos.api.pipelinetemplate.GetPipelineTemplatesRequest.sort:type_name -> martiancloud.phobos.api.pipelinetemplate.PipelineTemplateSortableField
	7,  // 2: martiancloud.phobos.api.pipelinetemplate.UploadPipelineTemplateRequest.info:type_name -> martiancloud.phobos.api.pipelinetemplate.UploadPipelineTemplateMetadata
	12, // 3: martiancloud.phobos.api.pipelinetemplate.PipelineTemplate.metadata:type_name -> martiancloud.phobos.api.metadata.ResourceMetadata
	13, // 4: martiancloud.phobos.api.pipelinetemplate.GetPipelineTemplatesResponse.page_info:type_name -> martiancloud.phobos.api.pagination.PageInfo
	9,  // 5: martiancloud.phobos.api.pipelinetemplate.GetPipelineTemplatesResponse.pipeline_templates:type_name -> martiancloud.phobos.api.pipelinetemplate.PipelineTemplate
	1,  // 6: martiancloud.phobos.api.pipelinetemplate.PipelineTemplates.GetPipelineTemplateByID:input_type -> martiancloud.phobos.api.pipelinetemplate.GetPipelineTemplateByIdRequest
	2,  // 7: martiancloud.phobos.api.pipelinetemplate.PipelineTemplates.GetPipelineTemplates:input_type -> martiancloud.phobos.api.pipelinetemplate.GetPipelineTemplatesRequest
	3,  // 8: martiancloud.phobos.api.pipelinetemplate.PipelineTemplates.CreatePipelineTemplate:input_type -> martiancloud.phobos.api.pipelinetemplate.CreatePipelineTemplateRequest
	6,  // 9: martiancloud.phobos.api.pipelinetemplate.PipelineTemplates.UploadPipelineTemplate:input_type -> martiancloud.phobos.api.pipelinetemplate.UploadPipelineTemplateRequest
	8,  // 10: martiancloud.phobos.api.pipelinetemplate.PipelineTemplates.DeletePipelineTemplate:input_type -> martiancloud.phobos.api.pipelinetemplate.DeletePipelineTemplateRequest
	4,  // 11: martiancloud.phobos.api.pipelinetemplate.PipelineTemplates.GetPipelineTemplateData:input_type -> martiancloud.phobos.api.pipelinetemplate.GetPipelineTemplateDataRequest
	9,  // 12: martiancloud.phobos.api.pipelinetemplate.PipelineTemplates.GetPipelineTemplateByID:output_type -> martiancloud.phobos.api.pipelinetemplate.PipelineTemplate
	10, // 13: martiancloud.phobos.api.pipelinetemplate.PipelineTemplates.GetPipelineTemplates:output_type -> martiancloud.phobos.api.pipelinetemplate.GetPipelineTemplatesResponse
	9,  // 14: martiancloud.phobos.api.pipelinetemplate.PipelineTemplates.CreatePipelineTemplate:output_type -> martiancloud.phobos.api.pipelinetemplate.PipelineTemplate
	14, // 15: martiancloud.phobos.api.pipelinetemplate.PipelineTemplates.UploadPipelineTemplate:output_type -> google.protobuf.Empty
	14, // 16: martiancloud.phobos.api.pipelinetemplate.PipelineTemplates.DeletePipelineTemplate:output_type -> google.protobuf.Empty
	5,  // 17: martiancloud.phobos.api.pipelinetemplate.PipelineTemplates.GetPipelineTemplateData:output_type -> martiancloud.phobos.api.pipelinetemplate.GetPipelineTemplateDataResponse
	12, // [12:18] is the sub-list for method output_type
	6,  // [6:12] is the sub-list for method input_type
	6,  // [6:6] is the sub-list for extension type_name
	6,  // [6:6] is the sub-list for extension extendee
	0,  // [0:6] is the sub-list for field type_name
}

func init() { file_pipeline_template_proto_init() }
func file_pipeline_template_proto_init() {
	if File_pipeline_template_proto != nil {
		return
	}
	file_metadata_proto_init()
	file_pagination_proto_init()
	file_pipeline_template_proto_msgTypes[1].OneofWrappers = []any{}
	file_pipeline_template_proto_msgTypes[2].OneofWrappers = []any{}
	file_pipeline_template_proto_msgTypes[5].OneofWrappers = []any{
		(*UploadPipelineTemplateRequest_Info)(nil),
		(*UploadPipelineTemplateRequest_ChunkData)(nil),
	}
	file_pipeline_template_proto_msgTypes[7].OneofWrappers = []any{}
	file_pipeline_template_proto_msgTypes[8].OneofWrappers = []any{}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: unsafe.Slice(unsafe.StringData(file_pipeline_template_proto_rawDesc), len(file_pipeline_template_proto_rawDesc)),
			NumEnums:      1,
			NumMessages:   10,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_pipeline_template_proto_goTypes,
		DependencyIndexes: file_pipeline_template_proto_depIdxs,
		EnumInfos:         file_pipeline_template_proto_enumTypes,
		MessageInfos:      file_pipeline_template_proto_msgTypes,
	}.Build()
	File_pipeline_template_proto = out.File
	file_pipeline_template_proto_goTypes = nil
	file_pipeline_template_proto_depIdxs = nil
}
